/* .............................................................................
FORMS
............................................................................. */
.form { }
* + .form {margin-top: 3em;}


/*
FORM GROUP et FORM ITEM
Pour espacement entre groupes de form items. */
.formGroup {--spacingX: 10%;--spacingY: 2.5em;display: flex;justify-content: space-between;align-items: flex-end;gap: var(--spacingY) var(--spacingX);}
* + .formGroup {margin-top: var(--spacingY);}

	/* Stacked */
	@media (max-width:46rem) {
		.formGroup {--spacingY:1.5em; flex-wrap: wrap; }
	}

.formGroup__item {flex:1 1 auto; width: 100%; margin-top: 0;}
.formGroup__text {display: block;margin-bottom: 0.8em;}

	/*
	ALT :
	Form send. */
	.formGroup--send {text-align: right;}

	@media (max-width:46rem) {
		.formGroup--send {text-align: center;}
	}


/*
FORM LABEL */
.formGroup__label {font-size: 1.1em;line-height: 1;display: block;margin-bottom: 0.7em;}


/*
INPUT */
.formInput,
.formTextarea,
.formSelect {-webkit-appearance: none;-moz-appearance: none;appearance: none;border: 1px solid var(--color-black);width: 100%;box-sizing:border-box;background-color: var(--color-white);font-size: 1em;font-weight: normal;line-height: 1.2;display: block;padding: 1.2em 1.4em;border-radius: var(--radius-btn);color: var(--color-base);transition: border-color 0.3s ease;}

	/* On blue */
	.onBlue .formInput,
	.onBlue .formTextarea,
	.onBlue .formSelect {border-color: var(--color-blue);}

	/* Eviter le zoom iOS sur form sur mobile. */
	@media (max-width:46rem) {
		.formInput,
		.formTextarea {font-size: 16px;}
	}


/*
SELECT */
.formSelect {background-image: url(../../img/icons/icon-arrow-dropdown.svg);background-repeat: no-repeat;background-position: right 1em center;background-size: 1.875em;width: 100%;padding-right: 3.5em;}


/*
TEXTAREA
Styles de base dans formInput */
.formTextarea {width: 100%;max-width: 100%;min-height: 11em;height: 11em;}


/*
FOCUS */
.formInput:focus,
.formTextarea:focus,
.formSelect:focus {border-color:var(--color-red);}


/*
INPUT FILE TYPE
Le input est hidden, toute l'action se passe dans le label.
Le label a l'air d'un bouton, mais dans le meme style qu'un form input.
ELLIPSIS sur le label (pour nom de fichiers trop long) :
Pour que ca fonctionne, parent doit etre overflow:hidden, mais si tu fais ca sur .formGroup__item ou .formGroup, tu t'attires des problemes dans un form dans un lightbox (ca casse le scroll on touch sur input).
Aussi, pour que ca fonctionne dans un flexbox item, on mettre min-width:0 sur le flex child. Voir ici https://css-tricks.com/flexbox-truncated-text/ */
.formInputFile {width: 100%;max-width: 100%;overflow: hidden; padding-bottom: 1px;}
.formInputFile__input {width: 0.1px; height: 0.1px; opacity: 0; visibility:hidden; overflow: hidden; position: absolute; z-index: -1;padding: 0; }

.formInputFile__btn {-webkit-appearance: none;-moz-appearance: none;appearance: none;position:relative;border: 1px solid var(--color-black); border-radius: var(--radius-btn); background: var(--color-white);cursor: pointer; display: inline-block;font-size: 1em;line-height: 1.2;color: var(--color-base);padding: 1.2em 1.4em;text-decoration: none;box-sizing: border-box;text-align: left;width: 100%;}
.formInputFile__btn * {pointer-events: none;}
.formInputFile__btnLabel {display: block;position: relative;z-index: 2;overflow: hidden;white-space: nowrap;text-overflow: ellipsis;}
.formInputFile__btnIcon {display: block;position: absolute;z-index: 2; font-size: 1.875em; color: var(--color-red);right: 0.7em;top: 50%;transform: translate(0, -50%);transition: transform 0.3s var(--ease-cubic); will-change: transform;}
.formInputFile__btnIcon + .formInputFile__btnLabel {margin-right: 2em;}

	/* Hover */
	.formInputFile__btn:hover:not(:disabled) .formInputFile__btnIcon {transform: translate(25%, -50%);}

	/* Disabled */
	.formInputFile__btn:disabled {opacity: 0.5; cursor: default;}

	/* On blue */
	.onBlue .formInputFile__btn {border-color:var(--color-blue); }


/*
CHECKBOX */
.formCheckbox {display: inline-block;margin-right: 5px;}


/*
CHECKBOX & RADIO
Custom style, compatible avec WPCF7.
Dans le plugin :
- Cocher la case "Entourer chaque element avec un libelle."
- Ajouter .formCF7Checkbox pour un checkbox
- Ajouter .formCF7Radio pour un radio. */
.formCF7Checkbox, 
.formCF7Radio {display: block;line-height: 1.2;}

	/* Wrapper (WPCF = .wpcf7-list-item) */
	.formCF7Checkbox > *,
	.formCF7Radio > * {display: inline-block;margin: 0 2em 0 0;}
	.formCF7Checkbox > *:last-child,
	.formCF7Radio > *:last-child {margin-right:0; }

	/* Label wraps the input and text content */
	.formCF7Checkbox label,
	.formCF7Radio label {display: block; }

	/* Hide the default radio / checkbox, because we want to custom style it. */
	.formCF7Checkbox input,
	.formCF7Radio input {position: absolute;opacity: 0;visibility: hidden;}

	/* Label styles */
	.formCF7Checkbox label > span,
	.formCF7Radio label > span {cursor: pointer;display: block;padding-top: 0.4em;padding-bottom: 0.4em;padding-left: 2.8em;position: relative;}

	/* Les styles custom sont ici */
	.formCF7Checkbox input + span::before,
	.formCF7Radio input + span::before {font-size: 2em; position: absolute;display: block;content: '';left: 0;top: 0;width: 1em;height: 1em;background: var(--color-white);background-position: 50% 50%;background-repeat: no-repeat;border: 1px solid var(--color-black);border-radius: var(--radius-btn);cursor: pointer;transition: all 0.3s cubic-bezier(0, 0, 0.3, 1);}

		/* Active + focus */
		.formCF7Checkbox input:active + span::before,
		.formCF7Radio input:active + span::before { }

		/* Checked */
		.formCF7Checkbox input:checked + span::before,
		.formCF7Radio input:checked + span::before {background-color: var(--color-red); box-shadow: inset 0 0 0 0.2em var(--color-white); }

		/* Focus: seulement si user utilise keyboard. */
		[data-whatintent='keyboard'] .formCF7Checkbox input:focus + span::before,
		[data-whatintent='keyboard'] .formCF7Radio input:focus + span::before {outline:2px solid #4d90fe;}

		/* Disabled */
		.formCF7Checkbox input:disabled + span,
		.formCF7Radio input:disabled + span {cursor: default;}
		.formCF7Checkbox input:disabled + span::before,
		.formCF7Radio input:disabled + span::before {background-color: #e8e8e8;opacity: 0.5;cursor: auto;}

	/* Radio mods */
	.formCF7Radio input + span::before {border-radius: 50%; }

	/* On blue */
	.onBlue .formCF7Checkbox input + span::before,
	.onBlue .formCF7Radio input + span::before {border-color: var(--color-blue); }


/*
PLACEHOLDER TEXT */
::placeholder {color: rgba(0 0 0 / 30%);}


/*
CONTACT FORM 7
Quand on le met sur WP avec CF7, ces styles sont utiles. */
.wpcf7-form-control-wrap {display: block; position: static;}
.wpcf7-form.sent .formGroup { display: none; }
div.wpcf7-response-output { margin-left: 0 !important; margin-right: 0 !important; }
.formInput.wpcf7-not-valid { border: 3px solid red; }
.wpcf7-not-valid-tip { display: none !important; }
